> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/platform-service/zsp/ticket/describeticketcreationquota.md).

# DescribeTicketCreationQuota

## 1. API Description

This API (DescribeTicketCreationQuota) is used to query whether the current team can still create tickets within one hour.

{% hint style="info" %}
**Notes**

* The quota is counted by team, based on the number of tickets created by the team within the last hour. All members of the same team share the quota.
* When `canCreate` is `false`, calling [CreateTicket](/api-reference/platform-service/zsp/ticket/createticket.md) returns `OPERATION_DENIED_TICKET_QUOTA_EXCEEDED`.
* This API requires no request parameters.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

None

## 3. Output Parameters

| Parameter Name       | Type    | Description                                                                                                           |
| -------------------- | ------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId            | String  | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| canCreate            | Boolean | Whether tickets can still be created currently.                                                                       |
| createdCountLastHour | Integer | The number of tickets created within the last hour.                                                                   |
| limitPerHour         | Integer | The maximum number of tickets that can be created per hour.                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query whether a ticket can still be submitted.**

```json
POST /api/v2/zsp HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeTicketCreationQuota
<Common Request Params>

Request:
{}

Response:
{
  "requestId": "T12345678-0000-0000-0000-000000000009",
  "response": {
    "requestId": "T12345678-0000-0000-0000-000000000009",
    "canCreate": true,
    "createdCountLastHour": 2,
    "limitPerHour": 5
  }
}
```

**2. The response when the limit has been reached.**

```json
POST /api/v2/zsp HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeTicketCreationQuota
<Common Request Params>

Request:
{}

Response:
{
  "requestId": "T12345678-0000-0000-0000-000000000010",
  "response": {
    "requestId": "T12345678-0000-0000-0000-000000000010",
    "canCreate": false,
    "createdCountLastHour": 5,
    "limitPerHour": 5
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
